package com.engine.kq.enums;

/**
 * 加班类型枚举类
 * 1-需审批，以审批单为准
 * 2-需审批，以打卡为准，但是不能超过审批时长
 * 3-无需审批，根据打卡时间计算加班时长
 */
public enum OverTimeComputingModeEnum {

  /**
   * 需审批，以审批单为准
   */
  FLOW("1","需审批，以加班流程为准","500382"),
  /**
   * 需审批，以打卡为准，但是不能超过审批时长
   */
  FLOW2CARD("2","需审批，以打卡为准，但不能超过加班流程时长","500383"),
  /**
   * 无需审批，根据打卡时间计算加班时长
   */
  FLOWINCARD("4","需审批，打卡和流程均统计，取两者的交集","524827"),
  /**
   * 无需审批，根据打卡时间计算加班时长
   */
  CARD("3","无需审批，根据打卡时间计算加班时长","390837");

  private String computingMode;
  private String title;
  private String label;

  /**
   *
   * @param computingMode
   */
  OverTimeComputingModeEnum(String computingMode,String title,String label) {
    this.computingMode = computingMode;
    this.title = title;
    this.label = label;
  }

  public String getComputingMode() {
    return computingMode;
  }

  public void setComputingMode(String computingMode) {
    this.computingMode = computingMode;
  }

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

}
